{% extends 'core/base-tables.html' %}

{% block content %}

  <main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex align-items-center">
            <div class="col-md-12 text-left" data-aos="fade-up">
              <h2>{{ titulo }}: {{ session['baninfo_SelCriterioNombre'] }}</h2>
              <a href="{{ url_for('Home.index') }}">Inicio</a>
              <i class="icofont-curved-right"></i>Administración
              <i class="icofont-curved-right"></i><a href="{{ url_for('Ejes.list_ejes') }}">Ejes</a>
              <i class="icofont-curved-right"></i><a href="{{ url_for('Criterios.list_criterios') }}?eje={{ session['baninfo_SelEjeCodigo']}}">Criterios</a>
              <i class="icofont-curved-right"></i>Asociar Proveedores
            </div>
          </div>
        </div>
      </div>
    </section><!-- End Breadcrumbs -->

    <!-- ======= Table-List Section ======= -->
    <section id="list" class="list section-bg">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex entries">
            <div class="col-md-12 text-left" data-aos="fade-up">

              <div id="toolbar">
                <span>
                  <a class="btn btn-secondary animate__animated animate__fadeInUp" 
                      href="{{ url_for('Criterios.list_criterios') }}?eje={{ session['baninfo_SelEjeCodigo']}}" title="Regresar">
                    <span><i class="icofont-reply"></i></span>
                  </a>
                  <a id="new" class="new btn-primary animate__animated animate__fadeInUp" 
                      href="#modalEdit" title="Nuevo" data-toggle="modal">
                    <span><i class="icofont-plus"></i> Proveedor</span>
                  </a>
                </span>
              </div>

              {% if (datos|count > 0) %}
              <table id="table" class="table table-striped"
                data-toggle="table"
                data-search="true"
                data-search-highlight="true"
                data-show-refresh="true"
                data-show-columns="true"
                data-show-export="true"
                data-pagination="true"
                data-click-to-select="true"
                data-toolbar="#toolbar"
                data-page-size="25"
                data-page-list="[10, 25, 50, 100, all]">
                <thead>
                  <tr>
                    <th data-field="organizacion" data-align="left" data-sortable="true" data-filter-control="input">Organizaciones</th>
                    <th data-field="operate" data-align="center" data-formatter="actionsFormatter" data-events="window.actionsEvents">Acciones</th>
                  </tr>
                </thead>          
              </table>
              {% else %}
              <p><br>No se encontraron Proveedores asociados al Criterio.</p>
              {% endif %}

            </div>
          </div>
        </div>
      </div>
    </section><!-- End Table-List Section -->

  </main><!-- End #main -->

  <!-- Modal New/Edit HTML -->
  {% include 'admin/proveedores/editar.html' %}
  
{% endblock %}


{% block scripts %}
  <script>
    var $table = $('#table')
    var $new = $('#new')

    function actionsFormatter(value, row, index) {
      return [
        '<a class="delete" href="#modalDelete" title="Borrar" data-toggle="modal">',
        '<i class="bx bxs-trash-alt"></i>',
        '</a>'
      ].join('')
    }

    window.actionsEvents = {
      'click .delete': function (e, value, row, index) {
        const msg = 'Se desvinculará del criterio, la organización:<br><i>' + JSON.stringify(row.organizacion).replaceAll('"','') + '</i>';
        const url = "{{url_for('Proveedores.delete_proveedor')}}" + '?criterio=' + JSON.parse(row.criterio) + '&org=' + JSON.stringify(row.organizacion).replaceAll('"','');
        document.getElementById('titleDelete').innerHTML = 'Borrar Proveedor';
        document.getElementById('msgDelete').innerHTML = msg;
        document.getElementById('formDelete').action = url;
      }
    }

    $.extend($.fn.bootstrapTable.defaults.icons, {
      refresh: 'icofont-refresh',
      columns: 'icofont-navigation-menu',
      export: 'icofont-download'
    });

    $(function() {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: 'all',
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        locale: 'es-ES',
        data: {{datos|tojson}}
      });

      // New record
      $new.click(function () {
        document.getElementById('formEdit').action="{{url_for('Proveedores.action_proveedor')}}" + '?dbAction=create';
        document.getElementById('titleEdit').innerHTML = 'Asociar Proveedor';
        document.getElementById('Criterio').readOnly = true;
        document.getElementById('CriterioField').hidden = true;
        document.getElementById('Organizacion').value = '';
      })
    })

  </script>
  
{% endblock %}
